Bug 1417299 - Missing bulk content host auto-attach button
Summary: Missing bulk content host auto-attach button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 21:00 UTC by Justin Sherrill
Modified: 2021-03-11 14:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot 1 (60.77 KB, image/png)
2017-08-10 18:33 UTC, jcallaha
no flags Details
verification screenshot 2 (37.45 KB, image/png)
2017-08-10 18:33 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18320 0 None None None 2017-01-31 15:03:03 UTC

Description Justin Sherrill 2017-01-27 21:00:58 UTC
Description of problem:

As part of https://bugzilla.redhat.com/show_bug.cgi?id=1188796

we were supposed to replace the 'auto attach all' button with a 'auto attach selected' button.  The org-wide auto attach was deleted, an api was added to support 'auto attach selected', but the UI bits were not implemented. 



Version-Release number of selected component (if applicable):
6.2.6

How reproducible:
always

Steps to Reproduce:
1.  select some content hosts from the hosts > content hosts page
2.  select bulk actions on the top right
3.  try to run auto-attach on the hosts

Actual results:
No button to do so


Expected results:
an auto attach button

Additional info:

Comment 1 Walden Raines 2017-01-31 14:15:01 UTC
Created redmine issue http://projects.theforeman.org/issues/18320 from this bug

Comment 4 pm-sat@redhat.com 2017-02-03 19:05:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18320 has been resolved.

Comment 6 jcallaha 2017-08-10 18:32:31 UTC
Verified in Satellite 6.3 Snap 10. 

The auto-attach button is now in place and works properly. See attached screenshots for verification.

Comment 7 jcallaha 2017-08-10 18:33:09 UTC
Created attachment 1311856 [details]
verification screenshot 1

Comment 8 jcallaha 2017-08-10 18:33:42 UTC
Created attachment 1311857 [details]
verification screenshot 2

Comment 9 Bryan Kearney 2018-02-21 17:34:18 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 10 Bryan Kearney 2018-02-21 17:34:19 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.